Insufficient user base to support OSX ??

Post here first, or if you can't find a relevant section!
Post Reply
User avatar
RogerClark
Posts: 7460
Joined: Mon Apr 27, 2015 10:36 am
Location: Melbourne, Australia
Contact:

Insufficient user base to support OSX ??

Post by RogerClark » Sun Aug 20, 2017 10:40 pm

I have a number of open issues on github related to OSX on LibMaple and the bootloader, but we do not seem to have anyone on the forum or github who has the skillset / time / interest to support OSX (aka MacOS)

So, I'm beginning to wonder if I should remove support for OSX from Libmaple. - This is basically tools folder for uploads and the lines in platform.txt

User avatar
sheepdoll
Posts: 236
Joined: Fri May 22, 2015 12:58 am
Location: Silicon Valley Vortex
Contact:

Re: Insufficient user base to support OSX ??

Post by sheepdoll » Mon Aug 21, 2017 6:33 am

RogerClark wrote:
Sun Aug 20, 2017 10:40 pm
I have a number of open issues on github related to OSX on LibMaple and the bootloader, but we do not seem to have anyone on the forum or github who has the skillset / time / interest to support OSX (aka MacOS)

So, I'm beginning to wonder if I should remove support for OSX from Libmaple. - This is basically tools folder for uploads and the lines in platform.txt
I have found the OS X toolset to be useful. I do not use the bootloader as the built in STLink works on the Discovery and Nucleo boards I have. As I like to use GDB I tend to develop more in the eclipse IDE or unix command line rather than Arduino.

I am only a single data point. I do have the interest and skilset, but lack the time to look into the issues. It does however get frustrating that there are a lot of projects with no or outdated support for Apple stuff. Not that Apple makes it easy with directing newbies to swift and demanding the use of Objective C for serious apps.

This forum is one of the few places where OS X does seem to be tolerated. Probably because the Arduino IDE environment does support OS X.

User avatar
RogerClark
Posts: 7460
Joined: Mon Apr 27, 2015 10:36 am
Location: Melbourne, Australia
Contact:

Re: Insufficient user base to support OSX ??

Post by RogerClark » Mon Aug 21, 2017 7:57 am

@sheepdoll

OK. I guess we leave it in.
But if I get issues on github, etc, I'll need to politely suggest asking on the forum, but if that fails they're probably on their own.

I'm not sure if its just my impression, but Apple seem to want everyone to do things their way or not at all.

USB drivers for Non-Apple hardware seem to increasingly be a problem, not just things like the USB DFU
I have a number of commercial audio devices, (a small mixing desk and various USB audio dongles), which no longer function correctly in El-Capitan, and basically there is no fix apart from downgrading the OS.

Post Reply